@import "_variables-colors.scss";
@import "_variables-buttons.scss";

$themes: (
  core-default: (
    base-background-color: $white-medium,
    base-background-color-document-view: $greycool-darkest,
    base-text-color: $greywarm-dark,
    base-text-color-links: $bluecoolvivid-lightest,
    base-text-color-editable: $black-darkest,
    base-border-color: $greywarm-dark,
    base-box-shadow-color: $greycool-darkest,
    btn-first:
      linear-gradient(
        0deg,
        $bluewarm-meddark 0%,
        $bluewarm-meddark 30%,
        $bluewarm-medium 100%
      ),
    btn-second:
      linear-gradient(
        0deg,
        $bluewarm-dark 0%,
        $bluewarm-dark 30%,
        $bluewarm-meddark 100%
      ),
    btn-primary-color: $white-lightest,
    btn-secondary-color: $white-lightest,
    dropdown-menu-background-color: $greywarm-lightest,
    dropdown-menu-color: $bluewarm-dark,
    search-options-background-color: $greywarm-lightest,
    search-options-color: $bluewarm-dark,
    input-text-color: $bluewarm-dark,
    selected-color: $white-light,
    selected-background: $bluewarmvivid-lightest,
    selected-color-alt: $bluewarmvivid-dark,
    selected-background-alt: $cyanvivid-lightest,
    selected-background-alt-sub: $cyan-medlight,
    nav-header-background-color: $bluewarm-medlight,
    nav-header-text-color: $bluewarm-dark,
    nav-header-text-hover-color: $greycool-meddark,
    nav-header-btn-primary-color: $white-lightest,
    nav-header-btn-primary-background-color: $bluewarm-medium,
    nav-header-btn-primary-border-color: $greywarm-darkest,
    nav-header-btn-primary-hover-background-color: $greycool-meddark,
    nav-header-btn-outline-color: $bluewarm-dark,
    nav-header-btn-outline-border-color: $bluewarm-dark,
    nav-header-btn-outline-hover-background-color: $bluewarm-dark,
    nav-header-btn-outline-hover-color: $white-lightest,
    header-background-color: $grey-lightest,
    header-text-color: $bluewarm-dark,
    sub-header-background-color: $bluewarm-light,
    sub-header-text-color: $bluewarm-dark,
    header-shadow: 0 1px 4px $greycool-darkest,
    header-bottom-border: 1px $greywarm-dark solid,
    shadow-light: $greycool-light,
    shadow-med: $greycool-medium,
    shadow-dark: $greycool-darkest,
    sidebar-background-color: $white-lightest,
    sidebar-background-color-sub: $white-lightest,
    sidebar-text-color: $bluewarm-dark,
    sidebar-header-text-color: $white-lightest,
    sidebar-header-background-color: $greywarm-medlight,
    sidebar-footer-background-color: $white-dark,
    sidebar-footer-text-color: $white-lightest,
    sidebar-group-color: $bluewarm-dark,
    sidebar-group-background-color: $greywarm-lightest,
    sidebar-selected-group-color: $white-lightest,
    sidebar-selected-group-background-color: $bluewarmvivid-light,
    sidebar-item-container-background-color: $greywarm-lighter,
    sidebar-item-left-border: 1px $grey-medium solid,
    sidebar-item-color: $bluewarm-dark,
    sidebar-item-background-color: $greywarm-lightest,
    sidebar-selected-item-color: $white-lightest,
    sidebar-selected-item-background-color: $bluewarmvivid-lightest,
    sidebar-splitter-shadow: 2px 0px 2px $greycool-darkest,
    sidebar-splitter-background-color: $bluewarm-meddark,
    tab-color: $greywarm-medium,
    tab-background-color: $white-light,
    tab-selected-color: $white-lightest,
    tab-selected-background:
      linear-gradient(
        0deg,
        $bluewarm-dark 0%,
        $bluewarm-dark 30%,
        $bluewarm-meddark 100%
      ),
    btn-radial-active:
      radial-gradient(
        circle,
        $bluewarm-dark 0%,
        $bluewarm-dark 30%,
        $bluewarm-meddark 100%
      ),
    outlet-background-color: $white-lighter,
    outlet-header-background-color: $bluewarm-lightest,
    outlet-footer-background-color: $greywarm-medlight,
    footer-background-color: $greywarm-lighter,
    popup-background-color: $greywarm-lighter,
    popup-border-color: $grey-medium,
  ),
);
